(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6978,        164]
NotebookOptionsPosition[      6620,        147]
NotebookOutlinePosition[      6965,        162]
CellTagsIndexPosition[      6922,        159]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "derivation", " ", "for", " ", "one", " ", "type", " ", "of", " ", "TFS"}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "TF", " ", "A", " ", "with", " ", "association", " ", "constant", " ", 
    "KA"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"n", "=", "10"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "number", " ", "of", " ", "observed", " ", "binding", " ", "sites"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"W", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"n", "+", "1"}], "}"}]}], "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SumW", " ", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "0"}], ",", 
      RowBox[{"i", "<=", "n"}], ",", " ", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"W", "[", 
         RowBox[{"[", 
          RowBox[{"i", "+", "1"}], "]"}], "]"}], " ", "=", " ", 
        RowBox[{
         RowBox[{"Binomial", "[", 
          RowBox[{"n", ",", "i"}], "]"}], "*", 
         RowBox[{"KA", "^", "i"}], "*", 
         RowBox[{"A", "^", "i"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"SumW", " ", "=", " ", 
        RowBox[{"SumW", " ", "+", " ", 
         RowBox[{"W", "[", 
          RowBox[{"[", 
           RowBox[{"i", "+", "1"}], "]"}], "]"}]}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"P", " ", "=", " ", 
     RowBox[{"W", "/", "SumW"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"vector", " ", "of", " ", "state", " ", "probabilities"}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"nact", " ", "=", " ", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "n"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nbound", " ", "=", 
     RowBox[{"Total", "[", 
      RowBox[{"nact", " ", "*", " ", "P"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"nbound", " ", "=", " ", 
    RowBox[{"Simplify", "[", "nbound", "]"}]}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "average", " ", "number", " ", "of", " ", "bound", " ", "TFs", " ", "of", 
     " ", "type", " ", "A"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.643534472182534*^9, 3.643534479859608*^9}, {
   3.6435345179299498`*^9, 3.643534597807293*^9}, {3.6435347158616095`*^9, 
   3.643534838627514*^9}, {3.6435348774484234`*^9, 3.6435349277202687`*^9}, {
   3.6435349621511364`*^9, 3.6435350448854837`*^9}, {3.6435350970526457`*^9, 
   3.6435351386124525`*^9}, {3.6435351814191246`*^9, 
   3.6435351820595846`*^9}, {3.6435352165144515`*^9, 
   3.6435352210506115`*^9}, {3.643535254201575*^9, 3.6435352703857927`*^9}, {
   3.6435353015594025`*^9, 3.643535395464493*^9}, {3.6435354511350822`*^9, 
   3.6435354607097287`*^9}, {3.6435356771707597`*^9, 3.643535678474681*^9}, {
   3.6435357709687786`*^9, 3.6435357727930436`*^9}, 3.643535914772456*^9, {
   3.643536009157881*^9, 3.643536139097952*^9}, {3.6435361892897415`*^9, 
   3.6435362143210917`*^9}, {3.6435362551684074`*^9, 3.643536269801549*^9}, {
   3.643536467644689*^9, 3.643536488267982*^9}, {3.643536532243466*^9, 
   3.643536539549532*^9}, {3.6435366017146206`*^9, 3.6435366557070465`*^9}, {
   3.6435367129867496`*^9, 3.64353681327927*^9}, {3.6435368582624483`*^9, 
   3.6435369790041428`*^9}, {3.643537118145591*^9, 3.643537188799566*^9}, {
   3.6435372310478506`*^9, 3.6435373338941383`*^9}, {3.643537416732561*^9, 
   3.6435375440348015`*^9}, {3.643537583777349*^9, 3.643537587721084*^9}, {
   3.643538874963671*^9, 3.6435389006352806`*^9}, {3.643605645465763*^9, 
   3.6436056534042645`*^9}, {3.6436110100072603`*^9, 3.643611179044448*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.643536047174232*^9, 3.643536061645268*^9}, 
   3.6435361402227306`*^9, {3.64353619173944*^9, 3.643536214701358*^9}, {
   3.643536260351*^9, 3.643536270917324*^9}, {3.6435364685383077`*^9, 
   3.64353649755342*^9}, {3.643536535620805*^9, 3.6435365402350035`*^9}, {
   3.6435366142222896`*^9, 3.643536644834509*^9}, {3.6435367199625854`*^9, 
   3.6435368137596016`*^9}, {3.643536864591838*^9, 3.6435369111791286`*^9}, {
   3.6435369456079946`*^9, 3.643536979567534*^9}, {3.643537126542411*^9, 
   3.643537151442671*^9}, {3.643537182163965*^9, 3.643537189169822*^9}, {
   3.643537254826332*^9, 3.643537275941969*^9}, 3.6435373114395733`*^9, {
   3.6435374202279854`*^9, 3.643537496588913*^9}, 3.6435375457940216`*^9, 
   3.6435375882204294`*^9, {3.643538877726552*^9, 3.6435389011756516`*^9}, 
   3.643605653909616*^9, {3.6436110133665886`*^9, 3.6436110652155294`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"10", " ", "A", " ", "KA"}], 
  RowBox[{"1", "+", 
   RowBox[{"A", " ", "KA"}]}]]], "Output",
 CellChangeTimes->{{3.643536047174232*^9, 3.643536061645268*^9}, 
   3.6435361402227306`*^9, {3.64353619173944*^9, 3.643536214701358*^9}, {
   3.643536260351*^9, 3.643536270917324*^9}, {3.6435364685383077`*^9, 
   3.64353649755342*^9}, {3.643536535620805*^9, 3.6435365402350035`*^9}, {
   3.6435366142222896`*^9, 3.643536644834509*^9}, {3.6435367199625854`*^9, 
   3.6435368137596016`*^9}, {3.643536864591838*^9, 3.6435369111791286`*^9}, {
   3.6435369456079946`*^9, 3.643536979567534*^9}, {3.643537126542411*^9, 
   3.643537151442671*^9}, {3.643537182163965*^9, 3.643537189169822*^9}, {
   3.643537254826332*^9, 3.643537275941969*^9}, 3.6435373114395733`*^9, {
   3.6435374202279854`*^9, 3.643537496588913*^9}, 3.6435375457940216`*^9, 
   3.6435375882204294`*^9, {3.643538877726552*^9, 3.6435389011756516`*^9}, 
   3.643605653909616*^9, {3.6436110133665886`*^9, 3.6436110652175317`*^9}}]
}, Open  ]]
},
WindowSize->{759, 833},
WindowMargins->{{249, Automatic}, {-90, Automatic}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 3939, 86, 332, "Input"],
Cell[4522, 110, 1059, 16, 31, "Output"],
Cell[5584, 128, 1020, 16, 47, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
