(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      8639,        214]
NotebookOptionsPosition[      8322,        198]
NotebookOutlinePosition[      8666,        213]
CellTagsIndexPosition[      8623,        210]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "derivation", " ", "for", " ", "two", " ", "types", " ", "of", " ", 
    "TFS"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "TF", " ", "A", " ", "with", " ", "association", " ", "constant", " ", 
    "KA"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "TF", " ", "R", " ", "with", " ", "association", " ", "constant", " ", 
    "KR"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"n", "=", "10"}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "number", " ", "of", " ", "observed", " ", "binding", " ", "sites"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"W", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"n", "+", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", "+", "1"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SumW", " ", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "0"}], ",", 
      RowBox[{"i", "<=", "n"}], ",", " ", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "0"}], ",", 
         RowBox[{"j", "<=", "n"}], ",", " ", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"W", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"i", "+", "1"}], ",", 
              RowBox[{"j", "+", "1"}]}], "]"}], "]"}], " ", "=", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"n", "!"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"i", "!"}], "*", 
                RowBox[{"j", "!"}], "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"n", "-", "i", "-", "j"}], ")"}], "!"}]}], ")"}]}], 
             ")"}], "*", 
            RowBox[{"KA", "^", "i"}], "*", 
            RowBox[{"A", "^", "i"}], "*", 
            RowBox[{"KR", "^", "j"}], "*", 
            RowBox[{"R", "^", "j"}]}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"SumW", " ", "=", " ", 
           RowBox[{"SumW", " ", "+", " ", 
            RowBox[{"W", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pact", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"n", "+", "1"}], "}"}]}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"vector", " ", "of", " ", "state", " ", "probabilities"}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "0"}], ",", 
      RowBox[{"i", "<=", "n"}], ",", " ", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "0"}], ",", 
         RowBox[{"j", "<=", "n"}], ",", " ", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Pact", "[", 
           RowBox[{"[", 
            RowBox[{"i", "+", "1"}], "]"}], "]"}], " ", "=", " ", 
          RowBox[{
           RowBox[{"Pact", "[", 
            RowBox[{"[", 
             RowBox[{"i", "+", "1"}], "]"}], "]"}], " ", "+", " ", 
           RowBox[{"W", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"i", "+", "1"}], ",", 
              RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], 
        "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pact", " ", "=", " ", 
     RowBox[{"Pact", " ", "/", " ", "SumW"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nact", " ", "=", " ", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "n"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"nbound", " ", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"Total", "[", 
      RowBox[{"nact", " ", "*", " ", "Pact"}], "]"}], "]"}]}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "average", " ", "number", " ", "of", " ", "bound", " ", "TFs", " ", "of", 
     " ", "type", " ", "A"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.643534472182534*^9, 3.643534479859608*^9}, {
   3.6435345179299498`*^9, 3.643534597807293*^9}, {3.6435347158616095`*^9, 
   3.643534838627514*^9}, {3.6435348774484234`*^9, 3.6435349277202687`*^9}, {
   3.6435349621511364`*^9, 3.6435350448854837`*^9}, {3.6435350970526457`*^9, 
   3.6435351386124525`*^9}, {3.6435351814191246`*^9, 
   3.6435351820595846`*^9}, {3.6435352165144515`*^9, 
   3.6435352210506115`*^9}, {3.643535254201575*^9, 3.6435352703857927`*^9}, {
   3.6435353015594025`*^9, 3.643535395464493*^9}, {3.6435354511350822`*^9, 
   3.6435354607097287`*^9}, {3.6435356771707597`*^9, 3.643535678474681*^9}, {
   3.6435357709687786`*^9, 3.6435357727930436`*^9}, 3.643535914772456*^9, {
   3.643536009157881*^9, 3.643536139097952*^9}, {3.6435361892897415`*^9, 
   3.6435362143210917`*^9}, {3.6435362551684074`*^9, 3.643536269801549*^9}, {
   3.643536467644689*^9, 3.643536488267982*^9}, {3.643536532243466*^9, 
   3.643536539549532*^9}, {3.6435366017146206`*^9, 3.6435366557070465`*^9}, {
   3.6435367129867496`*^9, 3.64353681327927*^9}, {3.6435368582624483`*^9, 
   3.6435369790041428`*^9}, {3.643537118145591*^9, 3.643537188799566*^9}, {
   3.6435372310478506`*^9, 3.6435373338941383`*^9}, {3.643537416732561*^9, 
   3.6435375440348015`*^9}, {3.643537583777349*^9, 3.643537587721084*^9}, {
   3.643537695327671*^9, 3.6435378063896556`*^9}, {3.643537856461381*^9, 
   3.643537957683527*^9}, {3.64353800440291*^9, 3.643538074378416*^9}, {
   3.6435381122486663`*^9, 3.643538156496335*^9}, 3.643538189655319*^9, {
   3.643538265679018*^9, 3.6435384394972014`*^9}, {3.643538470607163*^9, 
   3.6435385344051495`*^9}, {3.643538847292657*^9, 3.6435388640041304`*^9}, {
   3.643610996438855*^9, 3.643610996679021*^9}, {3.643611188908268*^9, 
   3.643611236140006*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"10", " ", "A", " ", "KA"}], 
  RowBox[{"1", "+", 
   RowBox[{"A", " ", "KA"}], "+", 
   RowBox[{"KR", " ", "R"}]}]]], "Output",
 CellChangeTimes->{{3.643536047174232*^9, 3.643536061645268*^9}, 
   3.6435361402227306`*^9, {3.64353619173944*^9, 3.643536214701358*^9}, {
   3.643536260351*^9, 3.643536270917324*^9}, {3.6435364685383077`*^9, 
   3.64353649755342*^9}, {3.643536535620805*^9, 3.6435365402350035`*^9}, {
   3.6435366142222896`*^9, 3.643536644834509*^9}, {3.6435367199625854`*^9, 
   3.6435368137596016`*^9}, {3.643536864591838*^9, 3.6435369111791286`*^9}, {
   3.6435369456079946`*^9, 3.643536979567534*^9}, {3.643537126542411*^9, 
   3.643537151442671*^9}, {3.643537182163965*^9, 3.643537189169822*^9}, {
   3.643537254826332*^9, 3.643537275941969*^9}, 3.6435373114395733`*^9, {
   3.6435374202279854`*^9, 3.643537496588913*^9}, 3.6435375457940216`*^9, 
   3.6435375882204294`*^9, {3.643537876731413*^9, 3.643537958122832*^9}, {
   3.64353801389349*^9, 3.6435380643314505`*^9}, {3.6435381411406927`*^9, 
   3.6435381570977535`*^9}, 3.6435381901636734`*^9, 3.64353830222535*^9, {
   3.6435384088045197`*^9, 3.643538440136633*^9}, {3.6435384754073973`*^9, 
   3.64353853528074*^9}, {3.643538850033539*^9, 3.643538864540498*^9}, 
   3.6436109985343075`*^9}]
}, Open  ]]
},
WindowSize->{759, 833},
WindowMargins->{{Automatic, 572}, {64, Automatic}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 6419, 150, 512, "Input"],
Cell[7002, 174, 1304, 21, 47, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
