(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6876,        193]
NotebookOptionsPosition[      6632,        180]
NotebookOutlinePosition[      6977,        195]
CellTagsIndexPosition[      6934,        192]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "derivation", " ", "for", " ", "three", " ", "types", " ", "of", " ", 
    "TFS"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "TF", " ", "A", " ", "with", " ", "association", " ", "constant", " ", 
    "KA"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "TF", " ", "R", " ", "with", " ", "association", " ", "constant", " ", 
    "KR"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "TF", " ", "P", " ", "with", " ", "association", " ", "constant", " ", 
    "KP"}], "*)"}], "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"n", "=", "3"}], ";", "   ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "number", " ", "of", " ", "observed", " ", "binding", " ", "sites"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"W", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"n", "+", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", "+", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", "+", "1"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SumW", " ", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "0"}], ",", 
      RowBox[{"i", "<=", "n"}], ",", " ", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "0"}], ",", 
         RowBox[{"j", "<=", "n"}], ",", " ", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"k", "=", "0"}], ",", 
            RowBox[{"k", "<=", "n"}], ",", " ", 
            RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"W", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"i", "+", "1"}], ",", 
                 RowBox[{"j", "+", "1"}], ",", " ", 
                 RowBox[{"k", "+", "1"}]}], "]"}], "]"}], " ", "=", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"n", "!"}], "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"i", "!"}], "*", 
                   RowBox[{"j", "!"}], "*", 
                   RowBox[{"k", "!"}], "*", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "i", "-", "j", "-", "k"}], ")"}], 
                    "!"}]}], ")"}]}], ")"}], "*", 
               RowBox[{"KA", "^", "i"}], "*", 
               RowBox[{"A", "^", "i"}], "*", 
               RowBox[{"KR", "^", "j"}], "*", 
               RowBox[{"R", "^", "j"}], "*", 
               RowBox[{"KP", "^", "k"}], "*", 
               RowBox[{"P", "^", "k"}]}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"SumW", " ", "=", " ", 
              RowBox[{"SumW", " ", "+", " ", 
               RowBox[{"W", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"i", "+", "1"}], ",", 
                  RowBox[{"j", "+", "1"}], ",", 
                  RowBox[{"k", "+", "1"}]}], "]"}], "]"}]}]}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
        "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pact", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"n", "+", "1"}], "}"}]}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"vector", " ", "of", " ", "state", " ", "probabilities"}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "0"}], ",", 
      RowBox[{"i", "<=", "n"}], ",", " ", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "0"}], ",", 
         RowBox[{"j", "<=", "n"}], ",", " ", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"k", "=", "0"}], ",", 
            RowBox[{"k", "<=", "n"}], ",", " ", 
            RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Pact", "[", 
              RowBox[{"[", 
               RowBox[{"i", "+", "1"}], "]"}], "]"}], " ", "=", " ", 
             RowBox[{
              RowBox[{"Pact", "[", 
               RowBox[{"[", 
                RowBox[{"i", "+", "1"}], "]"}], "]"}], " ", "+", " ", 
              RowBox[{"W", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"i", "+", "1"}], ",", 
                 RowBox[{"j", "+", "1"}], ",", 
                 RowBox[{"k", "+", "1"}]}], "]"}], "]"}]}]}]}], 
           "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
        "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pact", " ", "=", " ", 
     RowBox[{"Pact", " ", "/", " ", "SumW"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nact", " ", "=", " ", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "n"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"nbound", " ", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"Total", "[", 
      RowBox[{"nact", " ", "*", " ", "Pact"}], "]"}], "]"}]}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "average", " ", "number", " ", "of", " ", "bound", " ", "TFs", " ", "of", 
     " ", "type", " ", "A"}], "*)"}], "\n", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   FractionBox[
    RowBox[{"3", " ", "A", " ", "KA"}], 
    RowBox[{"1", "+", 
     RowBox[{"A", " ", "KA"}], "+", 
     RowBox[{"KP", " ", "P"}], "+", 
     RowBox[{"KR", " ", "R"}]}]]}]}]], "Input",
 CellChangeTimes->{{3.64361124581071*^9, 3.6436112864188585`*^9}}]
},
WindowSize->{759, 833},
WindowMargins->{{Automatic, 238}, {-21, Automatic}},
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 6070, 158, 668, "Input"]
}
]
*)

(* End of internal cache information *)
